Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network229.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
229.0.0.0
Broadcast address
229.255.255.255
First usable
229.0.0.1
Last usable
229.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E5000000 · Integer 3841982464 to 3858759679
Reverse DNS zone
229.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100101..00000000.00000000.00000000229.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11100101..00000000.00000000.00000000229.0.0.0
Broadcast11100101..11111111.11111111.11111111229.255.255.255
Split into smaller subnets/17

229.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1229.0.0.0/17229.0.0.1 to 229.0.127.254229.0.127.25532,766
2229.0.128.0/17229.0.128.1 to 229.0.255.254229.0.255.25532,766
3229.1.0.0/17229.1.0.1 to 229.1.127.254229.1.127.25532,766
4229.1.128.0/17229.1.128.1 to 229.1.255.254229.1.255.25532,766
5229.2.0.0/17229.2.0.1 to 229.2.127.254229.2.127.25532,766
6229.2.128.0/17229.2.128.1 to 229.2.255.254229.2.255.25532,766
7229.3.0.0/17229.3.0.1 to 229.3.127.254229.3.127.25532,766
8229.3.128.0/17229.3.128.1 to 229.3.255.254229.3.255.25532,766
9229.4.0.0/17229.4.0.1 to 229.4.127.254229.4.127.25532,766
10229.4.128.0/17229.4.128.1 to 229.4.255.254229.4.255.25532,766
11229.5.0.0/17229.5.0.1 to 229.5.127.254229.5.127.25532,766
12229.5.128.0/17229.5.128.1 to 229.5.255.254229.5.255.25532,766
13229.6.0.0/17229.6.0.1 to 229.6.127.254229.6.127.25532,766
14229.6.128.0/17229.6.128.1 to 229.6.255.254229.6.255.25532,766
15229.7.0.0/17229.7.0.1 to 229.7.127.254229.7.127.25532,766
16229.7.128.0/17229.7.128.1 to 229.7.255.254229.7.255.25532,766
17229.8.0.0/17229.8.0.1 to 229.8.127.254229.8.127.25532,766
18229.8.128.0/17229.8.128.1 to 229.8.255.254229.8.255.25532,766
19229.9.0.0/17229.9.0.1 to 229.9.127.254229.9.127.25532,766
20229.9.128.0/17229.9.128.1 to 229.9.255.254229.9.255.25532,766
21229.10.0.0/17229.10.0.1 to 229.10.127.254229.10.127.25532,766
22229.10.128.0/17229.10.128.1 to 229.10.255.254229.10.255.25532,766
23229.11.0.0/17229.11.0.1 to 229.11.127.254229.11.127.25532,766
24229.11.128.0/17229.11.128.1 to 229.11.255.254229.11.255.25532,766
25229.12.0.0/17229.12.0.1 to 229.12.127.254229.12.127.25532,766
26229.12.128.0/17229.12.128.1 to 229.12.255.254229.12.255.25532,766
27229.13.0.0/17229.13.0.1 to 229.13.127.254229.13.127.25532,766
28229.13.128.0/17229.13.128.1 to 229.13.255.254229.13.255.25532,766
29229.14.0.0/17229.14.0.1 to 229.14.127.254229.14.127.25532,766
30229.14.128.0/17229.14.128.1 to 229.14.255.254229.14.255.25532,766
31229.15.0.0/17229.15.0.1 to 229.15.127.254229.15.127.25532,766
32229.15.128.0/17229.15.128.1 to 229.15.255.254229.15.255.25532,766
33229.16.0.0/17229.16.0.1 to 229.16.127.254229.16.127.25532,766
34229.16.128.0/17229.16.128.1 to 229.16.255.254229.16.255.25532,766
35229.17.0.0/17229.17.0.1 to 229.17.127.254229.17.127.25532,766
36229.17.128.0/17229.17.128.1 to 229.17.255.254229.17.255.25532,766
37229.18.0.0/17229.18.0.1 to 229.18.127.254229.18.127.25532,766
38229.18.128.0/17229.18.128.1 to 229.18.255.254229.18.255.25532,766
39229.19.0.0/17229.19.0.1 to 229.19.127.254229.19.127.25532,766
40229.19.128.0/17229.19.128.1 to 229.19.255.254229.19.255.25532,766
41229.20.0.0/17229.20.0.1 to 229.20.127.254229.20.127.25532,766
42229.20.128.0/17229.20.128.1 to 229.20.255.254229.20.255.25532,766
43229.21.0.0/17229.21.0.1 to 229.21.127.254229.21.127.25532,766
44229.21.128.0/17229.21.128.1 to 229.21.255.254229.21.255.25532,766
45229.22.0.0/17229.22.0.1 to 229.22.127.254229.22.127.25532,766
46229.22.128.0/17229.22.128.1 to 229.22.255.254229.22.255.25532,766
47229.23.0.0/17229.23.0.1 to 229.23.127.254229.23.127.25532,766
48229.23.128.0/17229.23.128.1 to 229.23.255.254229.23.255.25532,766
49229.24.0.0/17229.24.0.1 to 229.24.127.254229.24.127.25532,766
50229.24.128.0/17229.24.128.1 to 229.24.255.254229.24.255.25532,766
51229.25.0.0/17229.25.0.1 to 229.25.127.254229.25.127.25532,766
52229.25.128.0/17229.25.128.1 to 229.25.255.254229.25.255.25532,766
53229.26.0.0/17229.26.0.1 to 229.26.127.254229.26.127.25532,766
54229.26.128.0/17229.26.128.1 to 229.26.255.254229.26.255.25532,766
55229.27.0.0/17229.27.0.1 to 229.27.127.254229.27.127.25532,766
56229.27.128.0/17229.27.128.1 to 229.27.255.254229.27.255.25532,766
57229.28.0.0/17229.28.0.1 to 229.28.127.254229.28.127.25532,766
58229.28.128.0/17229.28.128.1 to 229.28.255.254229.28.255.25532,766
59229.29.0.0/17229.29.0.1 to 229.29.127.254229.29.127.25532,766
60229.29.128.0/17229.29.128.1 to 229.29.255.254229.29.255.25532,766
61229.30.0.0/17229.30.0.1 to 229.30.127.254229.30.127.25532,766
62229.30.128.0/17229.30.128.1 to 229.30.255.254229.30.255.25532,766
63229.31.0.0/17229.31.0.1 to 229.31.127.254229.31.127.25532,766
64229.31.128.0/17229.31.128.1 to 229.31.255.254229.31.255.25532,766
65229.32.0.0/17229.32.0.1 to 229.32.127.254229.32.127.25532,766
66229.32.128.0/17229.32.128.1 to 229.32.255.254229.32.255.25532,766
67229.33.0.0/17229.33.0.1 to 229.33.127.254229.33.127.25532,766
68229.33.128.0/17229.33.128.1 to 229.33.255.254229.33.255.25532,766
69229.34.0.0/17229.34.0.1 to 229.34.127.254229.34.127.25532,766
70229.34.128.0/17229.34.128.1 to 229.34.255.254229.34.255.25532,766
71229.35.0.0/17229.35.0.1 to 229.35.127.254229.35.127.25532,766
72229.35.128.0/17229.35.128.1 to 229.35.255.254229.35.255.25532,766
73229.36.0.0/17229.36.0.1 to 229.36.127.254229.36.127.25532,766
74229.36.128.0/17229.36.128.1 to 229.36.255.254229.36.255.25532,766
75229.37.0.0/17229.37.0.1 to 229.37.127.254229.37.127.25532,766
76229.37.128.0/17229.37.128.1 to 229.37.255.254229.37.255.25532,766
77229.38.0.0/17229.38.0.1 to 229.38.127.254229.38.127.25532,766
78229.38.128.0/17229.38.128.1 to 229.38.255.254229.38.255.25532,766
79229.39.0.0/17229.39.0.1 to 229.39.127.254229.39.127.25532,766
80229.39.128.0/17229.39.128.1 to 229.39.255.254229.39.255.25532,766
81229.40.0.0/17229.40.0.1 to 229.40.127.254229.40.127.25532,766
82229.40.128.0/17229.40.128.1 to 229.40.255.254229.40.255.25532,766
83229.41.0.0/17229.41.0.1 to 229.41.127.254229.41.127.25532,766
84229.41.128.0/17229.41.128.1 to 229.41.255.254229.41.255.25532,766
85229.42.0.0/17229.42.0.1 to 229.42.127.254229.42.127.25532,766
86229.42.128.0/17229.42.128.1 to 229.42.255.254229.42.255.25532,766
87229.43.0.0/17229.43.0.1 to 229.43.127.254229.43.127.25532,766
88229.43.128.0/17229.43.128.1 to 229.43.255.254229.43.255.25532,766
89229.44.0.0/17229.44.0.1 to 229.44.127.254229.44.127.25532,766
90229.44.128.0/17229.44.128.1 to 229.44.255.254229.44.255.25532,766
91229.45.0.0/17229.45.0.1 to 229.45.127.254229.45.127.25532,766
92229.45.128.0/17229.45.128.1 to 229.45.255.254229.45.255.25532,766
93229.46.0.0/17229.46.0.1 to 229.46.127.254229.46.127.25532,766
94229.46.128.0/17229.46.128.1 to 229.46.255.254229.46.255.25532,766
95229.47.0.0/17229.47.0.1 to 229.47.127.254229.47.127.25532,766
96229.47.128.0/17229.47.128.1 to 229.47.255.254229.47.255.25532,766
97229.48.0.0/17229.48.0.1 to 229.48.127.254229.48.127.25532,766
98229.48.128.0/17229.48.128.1 to 229.48.255.254229.48.255.25532,766
99229.49.0.0/17229.49.0.1 to 229.49.127.254229.49.127.25532,766
100229.49.128.0/17229.49.128.1 to 229.49.255.254229.49.255.25532,766
101229.50.0.0/17229.50.0.1 to 229.50.127.254229.50.127.25532,766
102229.50.128.0/17229.50.128.1 to 229.50.255.254229.50.255.25532,766
103229.51.0.0/17229.51.0.1 to 229.51.127.254229.51.127.25532,766
104229.51.128.0/17229.51.128.1 to 229.51.255.254229.51.255.25532,766
105229.52.0.0/17229.52.0.1 to 229.52.127.254229.52.127.25532,766
106229.52.128.0/17229.52.128.1 to 229.52.255.254229.52.255.25532,766
107229.53.0.0/17229.53.0.1 to 229.53.127.254229.53.127.25532,766
108229.53.128.0/17229.53.128.1 to 229.53.255.254229.53.255.25532,766
109229.54.0.0/17229.54.0.1 to 229.54.127.254229.54.127.25532,766
110229.54.128.0/17229.54.128.1 to 229.54.255.254229.54.255.25532,766
111229.55.0.0/17229.55.0.1 to 229.55.127.254229.55.127.25532,766
112229.55.128.0/17229.55.128.1 to 229.55.255.254229.55.255.25532,766
113229.56.0.0/17229.56.0.1 to 229.56.127.254229.56.127.25532,766
114229.56.128.0/17229.56.128.1 to 229.56.255.254229.56.255.25532,766
115229.57.0.0/17229.57.0.1 to 229.57.127.254229.57.127.25532,766
116229.57.128.0/17229.57.128.1 to 229.57.255.254229.57.255.25532,766
117229.58.0.0/17229.58.0.1 to 229.58.127.254229.58.127.25532,766
118229.58.128.0/17229.58.128.1 to 229.58.255.254229.58.255.25532,766
119229.59.0.0/17229.59.0.1 to 229.59.127.254229.59.127.25532,766
120229.59.128.0/17229.59.128.1 to 229.59.255.254229.59.255.25532,766
121229.60.0.0/17229.60.0.1 to 229.60.127.254229.60.127.25532,766
122229.60.128.0/17229.60.128.1 to 229.60.255.254229.60.255.25532,766
123229.61.0.0/17229.61.0.1 to 229.61.127.254229.61.127.25532,766
124229.61.128.0/17229.61.128.1 to 229.61.255.254229.61.255.25532,766
125229.62.0.0/17229.62.0.1 to 229.62.127.254229.62.127.25532,766
126229.62.128.0/17229.62.128.1 to 229.62.255.254229.62.255.25532,766
127229.63.0.0/17229.63.0.1 to 229.63.127.254229.63.127.25532,766
128229.63.128.0/17229.63.128.1 to 229.63.255.254229.63.255.25532,766
129229.64.0.0/17229.64.0.1 to 229.64.127.254229.64.127.25532,766
130229.64.128.0/17229.64.128.1 to 229.64.255.254229.64.255.25532,766
131229.65.0.0/17229.65.0.1 to 229.65.127.254229.65.127.25532,766
132229.65.128.0/17229.65.128.1 to 229.65.255.254229.65.255.25532,766
133229.66.0.0/17229.66.0.1 to 229.66.127.254229.66.127.25532,766
134229.66.128.0/17229.66.128.1 to 229.66.255.254229.66.255.25532,766
135229.67.0.0/17229.67.0.1 to 229.67.127.254229.67.127.25532,766
136229.67.128.0/17229.67.128.1 to 229.67.255.254229.67.255.25532,766
137229.68.0.0/17229.68.0.1 to 229.68.127.254229.68.127.25532,766
138229.68.128.0/17229.68.128.1 to 229.68.255.254229.68.255.25532,766
139229.69.0.0/17229.69.0.1 to 229.69.127.254229.69.127.25532,766
140229.69.128.0/17229.69.128.1 to 229.69.255.254229.69.255.25532,766
141229.70.0.0/17229.70.0.1 to 229.70.127.254229.70.127.25532,766
142229.70.128.0/17229.70.128.1 to 229.70.255.254229.70.255.25532,766
143229.71.0.0/17229.71.0.1 to 229.71.127.254229.71.127.25532,766
144229.71.128.0/17229.71.128.1 to 229.71.255.254229.71.255.25532,766
145229.72.0.0/17229.72.0.1 to 229.72.127.254229.72.127.25532,766
146229.72.128.0/17229.72.128.1 to 229.72.255.254229.72.255.25532,766
147229.73.0.0/17229.73.0.1 to 229.73.127.254229.73.127.25532,766
148229.73.128.0/17229.73.128.1 to 229.73.255.254229.73.255.25532,766
149229.74.0.0/17229.74.0.1 to 229.74.127.254229.74.127.25532,766
150229.74.128.0/17229.74.128.1 to 229.74.255.254229.74.255.25532,766
151229.75.0.0/17229.75.0.1 to 229.75.127.254229.75.127.25532,766
152229.75.128.0/17229.75.128.1 to 229.75.255.254229.75.255.25532,766
153229.76.0.0/17229.76.0.1 to 229.76.127.254229.76.127.25532,766
154229.76.128.0/17229.76.128.1 to 229.76.255.254229.76.255.25532,766
155229.77.0.0/17229.77.0.1 to 229.77.127.254229.77.127.25532,766
156229.77.128.0/17229.77.128.1 to 229.77.255.254229.77.255.25532,766
157229.78.0.0/17229.78.0.1 to 229.78.127.254229.78.127.25532,766
158229.78.128.0/17229.78.128.1 to 229.78.255.254229.78.255.25532,766
159229.79.0.0/17229.79.0.1 to 229.79.127.254229.79.127.25532,766
160229.79.128.0/17229.79.128.1 to 229.79.255.254229.79.255.25532,766
161229.80.0.0/17229.80.0.1 to 229.80.127.254229.80.127.25532,766
162229.80.128.0/17229.80.128.1 to 229.80.255.254229.80.255.25532,766
163229.81.0.0/17229.81.0.1 to 229.81.127.254229.81.127.25532,766
164229.81.128.0/17229.81.128.1 to 229.81.255.254229.81.255.25532,766
165229.82.0.0/17229.82.0.1 to 229.82.127.254229.82.127.25532,766
166229.82.128.0/17229.82.128.1 to 229.82.255.254229.82.255.25532,766
167229.83.0.0/17229.83.0.1 to 229.83.127.254229.83.127.25532,766
168229.83.128.0/17229.83.128.1 to 229.83.255.254229.83.255.25532,766
169229.84.0.0/17229.84.0.1 to 229.84.127.254229.84.127.25532,766
170229.84.128.0/17229.84.128.1 to 229.84.255.254229.84.255.25532,766
171229.85.0.0/17229.85.0.1 to 229.85.127.254229.85.127.25532,766
172229.85.128.0/17229.85.128.1 to 229.85.255.254229.85.255.25532,766
173229.86.0.0/17229.86.0.1 to 229.86.127.254229.86.127.25532,766
174229.86.128.0/17229.86.128.1 to 229.86.255.254229.86.255.25532,766
175229.87.0.0/17229.87.0.1 to 229.87.127.254229.87.127.25532,766
176229.87.128.0/17229.87.128.1 to 229.87.255.254229.87.255.25532,766
177229.88.0.0/17229.88.0.1 to 229.88.127.254229.88.127.25532,766
178229.88.128.0/17229.88.128.1 to 229.88.255.254229.88.255.25532,766
179229.89.0.0/17229.89.0.1 to 229.89.127.254229.89.127.25532,766
180229.89.128.0/17229.89.128.1 to 229.89.255.254229.89.255.25532,766
181229.90.0.0/17229.90.0.1 to 229.90.127.254229.90.127.25532,766
182229.90.128.0/17229.90.128.1 to 229.90.255.254229.90.255.25532,766
183229.91.0.0/17229.91.0.1 to 229.91.127.254229.91.127.25532,766
184229.91.128.0/17229.91.128.1 to 229.91.255.254229.91.255.25532,766
185229.92.0.0/17229.92.0.1 to 229.92.127.254229.92.127.25532,766
186229.92.128.0/17229.92.128.1 to 229.92.255.254229.92.255.25532,766
187229.93.0.0/17229.93.0.1 to 229.93.127.254229.93.127.25532,766
188229.93.128.0/17229.93.128.1 to 229.93.255.254229.93.255.25532,766
189229.94.0.0/17229.94.0.1 to 229.94.127.254229.94.127.25532,766
190229.94.128.0/17229.94.128.1 to 229.94.255.254229.94.255.25532,766
191229.95.0.0/17229.95.0.1 to 229.95.127.254229.95.127.25532,766
192229.95.128.0/17229.95.128.1 to 229.95.255.254229.95.255.25532,766
193229.96.0.0/17229.96.0.1 to 229.96.127.254229.96.127.25532,766
194229.96.128.0/17229.96.128.1 to 229.96.255.254229.96.255.25532,766
195229.97.0.0/17229.97.0.1 to 229.97.127.254229.97.127.25532,766
196229.97.128.0/17229.97.128.1 to 229.97.255.254229.97.255.25532,766
197229.98.0.0/17229.98.0.1 to 229.98.127.254229.98.127.25532,766
198229.98.128.0/17229.98.128.1 to 229.98.255.254229.98.255.25532,766
199229.99.0.0/17229.99.0.1 to 229.99.127.254229.99.127.25532,766
200229.99.128.0/17229.99.128.1 to 229.99.255.254229.99.255.25532,766
201229.100.0.0/17229.100.0.1 to 229.100.127.254229.100.127.25532,766
202229.100.128.0/17229.100.128.1 to 229.100.255.254229.100.255.25532,766
203229.101.0.0/17229.101.0.1 to 229.101.127.254229.101.127.25532,766
204229.101.128.0/17229.101.128.1 to 229.101.255.254229.101.255.25532,766
205229.102.0.0/17229.102.0.1 to 229.102.127.254229.102.127.25532,766
206229.102.128.0/17229.102.128.1 to 229.102.255.254229.102.255.25532,766
207229.103.0.0/17229.103.0.1 to 229.103.127.254229.103.127.25532,766
208229.103.128.0/17229.103.128.1 to 229.103.255.254229.103.255.25532,766
209229.104.0.0/17229.104.0.1 to 229.104.127.254229.104.127.25532,766
210229.104.128.0/17229.104.128.1 to 229.104.255.254229.104.255.25532,766
211229.105.0.0/17229.105.0.1 to 229.105.127.254229.105.127.25532,766
212229.105.128.0/17229.105.128.1 to 229.105.255.254229.105.255.25532,766
213229.106.0.0/17229.106.0.1 to 229.106.127.254229.106.127.25532,766
214229.106.128.0/17229.106.128.1 to 229.106.255.254229.106.255.25532,766
215229.107.0.0/17229.107.0.1 to 229.107.127.254229.107.127.25532,766
216229.107.128.0/17229.107.128.1 to 229.107.255.254229.107.255.25532,766
217229.108.0.0/17229.108.0.1 to 229.108.127.254229.108.127.25532,766
218229.108.128.0/17229.108.128.1 to 229.108.255.254229.108.255.25532,766
219229.109.0.0/17229.109.0.1 to 229.109.127.254229.109.127.25532,766
220229.109.128.0/17229.109.128.1 to 229.109.255.254229.109.255.25532,766
221229.110.0.0/17229.110.0.1 to 229.110.127.254229.110.127.25532,766
222229.110.128.0/17229.110.128.1 to 229.110.255.254229.110.255.25532,766
223229.111.0.0/17229.111.0.1 to 229.111.127.254229.111.127.25532,766
224229.111.128.0/17229.111.128.1 to 229.111.255.254229.111.255.25532,766
225229.112.0.0/17229.112.0.1 to 229.112.127.254229.112.127.25532,766
226229.112.128.0/17229.112.128.1 to 229.112.255.254229.112.255.25532,766
227229.113.0.0/17229.113.0.1 to 229.113.127.254229.113.127.25532,766
228229.113.128.0/17229.113.128.1 to 229.113.255.254229.113.255.25532,766
229229.114.0.0/17229.114.0.1 to 229.114.127.254229.114.127.25532,766
230229.114.128.0/17229.114.128.1 to 229.114.255.254229.114.255.25532,766
231229.115.0.0/17229.115.0.1 to 229.115.127.254229.115.127.25532,766
232229.115.128.0/17229.115.128.1 to 229.115.255.254229.115.255.25532,766
233229.116.0.0/17229.116.0.1 to 229.116.127.254229.116.127.25532,766
234229.116.128.0/17229.116.128.1 to 229.116.255.254229.116.255.25532,766
235229.117.0.0/17229.117.0.1 to 229.117.127.254229.117.127.25532,766
236229.117.128.0/17229.117.128.1 to 229.117.255.254229.117.255.25532,766
237229.118.0.0/17229.118.0.1 to 229.118.127.254229.118.127.25532,766
238229.118.128.0/17229.118.128.1 to 229.118.255.254229.118.255.25532,766
239229.119.0.0/17229.119.0.1 to 229.119.127.254229.119.127.25532,766
240229.119.128.0/17229.119.128.1 to 229.119.255.254229.119.255.25532,766
241229.120.0.0/17229.120.0.1 to 229.120.127.254229.120.127.25532,766
242229.120.128.0/17229.120.128.1 to 229.120.255.254229.120.255.25532,766
243229.121.0.0/17229.121.0.1 to 229.121.127.254229.121.127.25532,766
244229.121.128.0/17229.121.128.1 to 229.121.255.254229.121.255.25532,766
245229.122.0.0/17229.122.0.1 to 229.122.127.254229.122.127.25532,766
246229.122.128.0/17229.122.128.1 to 229.122.255.254229.122.255.25532,766
247229.123.0.0/17229.123.0.1 to 229.123.127.254229.123.127.25532,766
248229.123.128.0/17229.123.128.1 to 229.123.255.254229.123.255.25532,766
249229.124.0.0/17229.124.0.1 to 229.124.127.254229.124.127.25532,766
250229.124.128.0/17229.124.128.1 to 229.124.255.254229.124.255.25532,766
251229.125.0.0/17229.125.0.1 to 229.125.127.254229.125.127.25532,766
252229.125.128.0/17229.125.128.1 to 229.125.255.254229.125.255.25532,766
253229.126.0.0/17229.126.0.1 to 229.126.127.254229.126.127.25532,766
254229.126.128.0/17229.126.128.1 to 229.126.255.254229.126.255.25532,766
255229.127.0.0/17229.127.0.1 to 229.127.127.254229.127.127.25532,766
256229.127.128.0/17229.127.128.1 to 229.127.255.254229.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses